const AddInName = "TestAddIn"
const AddInFileName = "TestAddIn.accda"
const DevFileName = "TestAddIn.accdb"
const MsgBoxTitle = "create compiled accda"

Dim AddInFileInstalled, CompletedMsg

AddInFileInstalled = CreateMde(GetSourceFileFullName, GetDestFileFullName)
      If AddInFileInstalled Then
	 CompletedMsg = "Add-In was compiled."
      Else
         CompletedMsg = "Error! Compiled file was not created."
      End If

If CompletedMsg > "" Then
   MsgBox CompletedMsg, , MsgBoxTitle
End If


'##################################################
' Functions

Function GetSourceFileFullName()
   GetSourceFileFullName = GetScriptLocation & DevFileName 
End Function

Function GetDestFileFullName()
   GetDestFileFullName = GetScriptLocation & AddInFileName 
End Function

Function GetScriptLocation()
   With WScript
      GetScriptLocation = Replace(.ScriptFullName & ":", .ScriptName & ":", "") 
   End With
End Function

Function CreateMde(SourceFilePath, DestFilePath)
	
   Set fso = CreateObject("Scripting.FileSystemObject")
   DeleteFile fso, DestFilePath

   Set AccessApp = CreateObject("Access.Application") 
   AccessApp.SysCmd 603, (SourceFilePath), (DestFilePath)
   
   CreateMde = True

End Function

Function DeleteFile(fso, File2Delete)
   if fso.FileExists(File2Delete) then
      fso.DeleteFile File2Delete
   end if
End Function

